#ifndef TEST_ACTIONS_H
#define TEST_ACTIONS_H

#include <vector>
#include "..\Actions.h"

//------------------------------------------------------------------------------
//
class TestActions : public Actions
//
/// @brief Test implementation of Actions Interface.
///
//------------------------------------------------------------------------------
{
public:

    enum ActionType
    {
        LAMP_ON,
        LAMP_OFF,
        START_TIMER
    };

    std::vector <ActionType> v;

    void LampOn () { v.push_back(LAMP_ON); }
    void LampOff () { v.push_back(LAMP_OFF); }
    void StartTimer () { v.push_back(START_TIMER); }
};

static const TestActions::ActionType LampOn (TestActions::LAMP_ON);
static const TestActions::ActionType LampOff (TestActions::LAMP_OFF);
static const TestActions::ActionType StartTimer (TestActions::START_TIMER);

#endif // TEST_ACTIONS_H
